jQuery( function( $ ) {

	if ( wpo_wcpbn.display_batch_data ) {
		
		$( '.woocommerce .product .summary input[name=variation_id]' ).on( 'change', function( e ) {
			e.preventDefault();
	
			let $elem        = $( this );
			let variation_id = $elem.val();
	
			$elem.closest( 'body' ).find( '.wpo-wcpbn-product-batch-data' ).remove(); // remove previous variation batch data
	
			$.ajax( {
				url:   wpo_wcpbn.ajaxurl,
				data: {
					action:       'wcpbn-on-variation-selection',
					nonce:        wpo_wcpbn.nonce,
					variation_id: variation_id,
				},
				type:  'POST',
				cache: false,
				success ( response ) {
					let $batch_data  = $elem.closest( 'body' ).find( '.wpo-wcpbn-product-batch-data' );
					if ( response.data.css_target && response.data.html && $batch_data.length == 0 ) {
						let target_elem = $( response.data.css_target.css );
						if ( response.data.css_target.inject == 'before' ) {
							target_elem.before( response.data.html );
						} else {
							target_elem.after( response.data.html );
						}
					}
				},
				error ( xhr, error, status ) {
					//console.log( error, status );
				}
			} );
		} );
		
	}

} );