<div class="wpo_wcpbn_batch_tools">
	<div class="table-wrapper" style="margin-bottom:30px;">
		<p>
			<span style="margin:5px 0;">
				<a id="button-batch-add" class="button"><?php _e( 'Add Batch', 'woocommerce-product-batch-numbers' ); ?></a>
			</span>
		</p>
		<p>
			<form id="batch-add">
				<h4><?php _e( 'Add Batch', 'woocommerce-product-batch-numbers' ); ?></h4>
				<div class="notice inline" style="display:none;"><p></p></div>
				<fieldset>
					<label for="batch-add-batch_number"><?php _e( 'Number', 'woocommerce-product-batch-numbers' ); ?></label>
					<input type="text" id="batch-add-batch_number" name="batch-add-batch_number">
				</fieldset>
				<fieldset>
					<label for="batch-add-date_expiry"><?php echo WPO_WCPBN()->classes['settings']->options->get_batch_date_label( WPO_WCPBN()->classes['settings']->options->get_option( 'batch_date_label' ) ); ?></label>
					<input type="date" id="batch-add-date_expiry" name="batch-add-date_expiry">
				</fieldset>
				<fieldset>
					<label for="batch-add-quantity"><?php _e( 'Quantity', 'woocommerce-product-batch-numbers' ); ?></label>
					<input type="number" id="batch-add-quantity" name="batch-add-quantity" placeholder="0" min="0">
				</fieldset>
				<?php if ( $batch_units_enabled ) : ?>
					<fieldset>
						<label for="batch-add-units"><?php _e( 'Units', 'woocommerce-product-batch-numbers' ); ?></label>
						<input type="number" id="batch-add-units" name="batch-add-units" min="1" value="1">
					</fieldset>
				<?php endif; ?>
				<fieldset>
					<label for="batch-add-supplier"><?php _e( 'Supplier', 'woocommerce-product-batch-numbers' ); ?></label>
					<input type="text" id="batch-add-supplier" name="batch-add-supplier">
				</fieldset>
				<?php if ( $stock_locations_enabled ) : ?>
					<fieldset>
						<label for="batch-add-location"><?php _e( 'Location', 'woocommerce-product-batch-numbers' ); ?></label>
						<input type="text" id="batch-add-location" name="batch-add-location">
					</fieldset>
				<?php endif; ?>
				<fieldset>
					<label for="batch-add-selected_ids"><?php _e( 'Share with', 'woocommerce-product-batch-numbers' ); ?></label>
					<select id="batch-add-selected_ids" class="wc-product-search" name="batch-add-selected_ids[]" multiple="multiple" style="width: 400px;" data-placeholder="<?php esc_attr_e( 'Search for a product&hellip;', 'woocommerce-product-batch-numbers' ); ?>" data-action="" data-allow_clear="true"></select>
				</fieldset>
				<div class="buttons">
					<a href="" class="button button-primary button-submit"><?php _e( 'Add', 'woocommerce-product-batch-numbers' ); ?></a>
					<a href="" class="button button-cancel"><?php _e( 'Cancel', 'woocommerce-product-batch-numbers' ); ?></a>
				</div>
			</form>
		</p>
	</div>
</div>