jQuery( function( $ ) {

	$( document ).on( 'click', '.editinline', function( e ) {
		e.preventDefault();

		let $elem  = $( this );
		let elemId = $elem.closest( '.type-product' ).attr( 'id' );
		let postId = elemId.split( '-' ).pop();
		
		// request
		$.ajax( {
			url:  wpo_wcpbn.ajaxurl,
			type: 'POST',
			data: {
				action: 'get_product_batches',
				post_id: postId
			},
			cache: false,
			success: function( response ) {
				let $fieldset = '<fieldset class="inline-edit-col-left wcpbn-product-batches-fieldset-'+postId+'"><h4>Batch numbers</h4></fieldset>';
				$fieldset.insertBefore( 'tr#edit-'+postId+' .inline-edit-save' );

				$( response.data.product_batches ).each( function() {
					//console.log($(this)[0]);
					let value;
					if ( $( this )[0].date_expiry === '0000-00-00 00:00:00' || $( this )[0].date_expiry === '1000-01-01 00:00:00' ) {
						value = '';
					} else {
						value = $( this )[0].date_expiry.split( " " )[0];
					}
					let input = '<p>'+$( this )[0].batch_number+' ('+$( this )[0].quantity_available+'x) &rarr; Expire date: <input type="date" name="wpo-wcpbn-table-expirydate['+$( this )[0].id+']" value="'+value+'"></p>';
					$( '.wcpbn-product-batches-fieldset-'+postId ).append( input );
				} );
			},
			error: function( xhr, status, error ) {
				console.log( error );
			},
		} );
	} );

} );