<?php
/**
 * Batch Number Status Class
 *
 * @since 1.0.0
 */

namespace WPO\WC\Product_Batch_Numbers;

/**
 * If this file is called directly, abort.
 *
 * @since 1.0.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	die;
}

if ( ! class_exists( 'wcpbnBatchNumberStatus' ) ) {

	class wcpbnBatchNumberStatus {

		/**
		 * Batch number status.
		 *
		 * @return array
		 */
		public static function batch_number_status() {
			return array(
				'active'   => __( 'Active', 'woocommerce-product-batch-numbers' ),
				'archived' => __( 'Archived', 'woocommerce-product-batch-numbers' ),
			);
		}

	}

}